#
# spec file for package ggz-client-libs
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ggz-client-libs
Version:        0.0.14.1
Release:        3.1
Summary:        Common files needed to use GGZ
License:        GPL-2.0+ and LGPL-2.1+
Group:          Amusements/Games/Other
Url:            http://www.ggzgamingzone.org/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  libexpat-devel
BuildRequires:  libggz2-devel
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ggz-client-libs package provides the common procedures
and utilities required to run the GGZ client and games.
The routines are shared by other modules in order to ease
coding and promote compatibility and stability.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libggz2-devel

%description devel
This package provides development files and headers needed
to build software using %{name}

%lang_package
%prep
%setup -q

%build
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

rm %{buildroot}%{_libdir}/*.la

%find_lang ggzcore ggz-langs.lang
%find_lang ggz-config ggz-langs.lang

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README*
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%config %{_sysconfdir}/xdg/menus/*.menu
%config %{_sysconfdir}/xdg/menus/applications-merged/*.menu
%dir %{_datadir}/desktop-directories
%{_datadir}/desktop-directories/*.directory
%{_bindir}/ggz
%{_libdir}/*.so.*
%{_libdir}/ggz
%{_mandir}/man1/*.gz
%{_mandir}/man7/*.gz

%files devel
%defattr(-, root, root)
%{_bindir}/ggz-config
%{_bindir}/ggz-wrapper
%{_includedir}/*.h
%{_libdir}/*.so
%{_mandir}/man3/*.gz
%{_mandir}/man5/*.gz
%{_mandir}/man6/*.gz

%files lang -f ggz-langs.lang

%changelog
* Tue Nov 20 2012 cgiboudeaux@gmx.com
- Fix the SLES build (%%make_install doesn't expand)
* Tue Feb  7 2012 meissner@suse.de
- remove desktop-data-SUSE to have it build earlier
* Thu Aug 11 2011 toddrme2178@gmail.com
- Changed summaries and descriptions (fix for RPMLINT warning)
- Changed group of devel file (fix for RPMLINT warning)
- Added config file tags (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Tue Sep 28 2010 aj@suse.de
- Recommend instead of require lang-package.
* Wed Apr 15 2009 crrodriguez@suse.de
- use --disable-static
- fix -devel package dependencies
* Tue Dec 16 2008 coolo@suse.de
- require lang subpackage
* Wed Oct  1 2008 dominique-opensuse@leuenberger.net
- Update to version 0.0.14.1:
  + Bugfixes and some translations
* Sun Aug 24 2008 mboman@novell.com
- Updated to version 0.0.14:
  * Player management, permissions and host players make playing on GGZ
    more fun
  * Support for GNU Chess and Velena in our Chess and ConnectX servers
  * Windows installer for the Gtk+ client
  * The Metacle, a metaserver aggregator for cross-project game server
    access
  * More GGZBoard games: Shogi and Sudoku
  * Overhauled APIs for developers, including Pygame integration of game
    clients
  * Dynamic room reconfiguration in the GGZ server
* Wed Mar  5 2008 maw@suse.de
- Initial version: 0.0.14.1.
